<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFTextBody (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFTextBody (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFTextBody.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/XDDFTextBody.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFTextBody.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.text</div>
    <h2 title="Class XDDFTextBody" class="title">Class XDDFTextBody</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.text.XDDFTextBody</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XDDFTextBody</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#XDDFTextBody-org.apache.poi.xddf.usermodel.text.TextContainer-">XDDFTextBody</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a>&nbsp;parent)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#XDDFTextBody-org.apache.poi.xddf.usermodel.text.TextContainer-org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody-">XDDFTextBody</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a>&nbsp;parent,
                                    org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody&nbsp;body)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#addNewParagraph--">addNewParagraph</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected &lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-int-">findDefinedParagraphProperty</a></span>(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                    java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R&gt;&nbsp;getter,
                                    int&nbsp;level)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected &lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#findDefinedRunProperty-java.util.function.Function-java.util.function.Function-int-">findDefinedRunProperty</a></span>(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                    java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R&gt;&nbsp;getter,
                                    int&nbsp;level)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBodyProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFBodyProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getBodyProperties--">getBodyProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getDefaultProperties--">getDefaultProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel1Properties--">getLevel1Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel2Properties--">getLevel2Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel3Properties--">getLevel3Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel4Properties--">getLevel4Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel5Properties--">getLevel5Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel6Properties--">getLevel6Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel7Properties--">getLevel7Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel8Properties--">getLevel8Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getLevel9Properties--">getLevel9Properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getParagraph-int-">getParagraph</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getParagraphs--">getParagraphs</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getParentShape--">getParentShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#initialize--">initialize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#insertNewParagraph-int-">insertNewParagraph</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#removeParagraph-int-">removeParagraph</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setBodyProperties-org.apache.poi.xddf.usermodel.text.XDDFBodyProperties-">setBodyProperties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBodyProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFBodyProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setDefaultProperties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setDefaultProperties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel1Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel1Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel2Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel2Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel3Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel3Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel4Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel4Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel5Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel5Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel6Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel6Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel7Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel7Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel8Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel8Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setLevel9Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">setLevel9Properties</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextBody.html#setText-java.lang.String-">setText</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFTextBody-org.apache.poi.xddf.usermodel.text.TextContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDDFTextBody</h4>
                                <pre>public&nbsp;XDDFTextBody(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a>&nbsp;parent)</pre>
                            </li>
                        </ul>
                        <a name="XDDFTextBody-org.apache.poi.xddf.usermodel.text.TextContainer-org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFTextBody</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;XDDFTextBody(<a href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a>&nbsp;parent,
                              org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody&nbsp;body)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getParentShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParentShape</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                                        title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a>&nbsp;getParentShape()</pre>
                            </li>
                        </ul>
                        <a name="initialize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>initialize</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a>&nbsp;initialize()</pre>
                            </li>
                        </ul>
                        <a name="setText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setText</h4>
                                <pre>public&nbsp;void&nbsp;setText(java.lang.String&nbsp;text)</pre>
                            </li>
                        </ul>
                        <a name="addNewParagraph--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNewParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a>&nbsp;addNewParagraph()</pre>
                            </li>
                        </ul>
                        <a name="insertNewParagraph-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>insertNewParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a>&nbsp;insertNewParagraph(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="removeParagraph-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeParagraph</h4>
                                <pre>public&nbsp;void&nbsp;removeParagraph(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getParagraph-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraph</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a>&nbsp;getParagraph(int&nbsp;index)</pre>
                            </li>
                        </ul>
                        <a name="getParagraphs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParagraphs</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFTextParagraph</a>&gt;&nbsp;getParagraphs()</pre>
                            </li>
                        </ul>
                        <a name="getBodyProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBodyProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBodyProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFBodyProperties</a>&nbsp;getBodyProperties()</pre>
                            </li>
                        </ul>
                        <a name="setBodyProperties-org.apache.poi.xddf.usermodel.text.XDDFBodyProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBodyProperties</h4>
                                <pre>public&nbsp;void&nbsp;setBodyProperties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFBodyProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFBodyProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getDefaultProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getDefaultProperties()</pre>
                            </li>
                        </ul>
                        <a name="setDefaultProperties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDefaultProperties</h4>
                                <pre>public&nbsp;void&nbsp;setDefaultProperties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel1Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel1Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel1Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel1Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel1Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel1Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel2Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel2Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel2Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel2Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel2Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel2Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel3Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel3Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel3Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel3Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel3Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel3Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel4Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel4Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel4Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel4Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel4Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel4Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel5Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel5Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel5Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel5Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel5Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel5Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel6Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel6Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel6Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel6Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel6Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel6Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel7Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel7Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel7Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel7Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel7Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel7Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel8Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel8Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel8Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel8Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel8Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel8Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="getLevel9Properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel9Properties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;getLevel9Properties()</pre>
                            </li>
                        </ul>
                        <a name="setLevel9Properties-org.apache.poi.xddf.usermodel.text.XDDFParagraphProperties-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel9Properties</h4>
                                <pre>public&nbsp;void&nbsp;setLevel9Properties(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFParagraphProperties.html"
                                        title="class in org.apache.poi.xddf.usermodel.text">XDDFParagraphProperties</a>&nbsp;properties)</pre>
                            </li>
                        </ul>
                        <a name="findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findDefinedParagraphProperty</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;&nbsp;findDefinedParagraphProperty(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                                                           java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R&gt;&nbsp;getter,
                                                                           int&nbsp;level)</pre>
                            </li>
                        </ul>
                        <a name="findDefinedRunProperty-java.util.function.Function-java.util.function.Function-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>findDefinedRunProperty</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;&nbsp;findDefinedRunProperty(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                                                     java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R&gt;&nbsp;getter,
                                                                     int&nbsp;level)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFTextBody.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTabStop.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/XDDFTextParagraph.html"
               title="class in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/XDDFTextBody.html" target="_top">Frames</a>
        </li>
        <li><a href="XDDFTextBody.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
